Bug 1562059 - Fail with "unresolved deps" in repolcosure of f28 Beta 1.3
Summary: Fail with "unresolved deps" in repolcosure of f28 Beta 1.3
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: phpMyAdmin
Version: 28
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-29 12:54 UTC by Menanteau Guy
Modified: 2018-03-29 13:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-29 13:24:43 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2018-03-29 12:54:57 UTC
I tried test https://fedoraproject.org/wiki/QA:Testcase_Mediakit_Repoclosure
for Fedora-Server-dvd-ppc64le-28_Beta-1.3.iso

for powerpc, I used old method with repoclosure command

mount -o loop Fedora-Server-dvd-ppc64le-28_Beta-1.3.iso /media
dnf install yum-utils
repoclosure -a ppc64le --repofrompath myrepo,/media/ --newest -t -r myrepo

...
package: phpMyAdmin-4.7.8-1.fc28.noarch from myrepo
  unresolved deps: 
     (php-composer(google/recaptcha) >= 1.1 with php-composer(google/recaptcha) < 2)
     (php-composer(phpmyadmin/motranslator) >= 4.0 with php-composer(phpmyadmin/motranslator) < 5)
     (php-composer(phpmyadmin/shapefile) >= 2.0 with php-composer(phpmyadmin/shapefile) < 3)
     (php-composer(phpmyadmin/sql-parser) >= 4.2.3 with php-composer(phpmyadmin/sql-parser) < 5)
     (php-composer(phpseclib/phpseclib) >= 2.0.9 with php-composer(phpseclib/phpseclib) < 3)
     (php-composer(tecnickcom/tcpdf) >= 6.2 with php-composer(tecnickcom/tcpdf) < 7)

expected result:
none "unresolved deps" should be reported.

This problem is present on ppc64 and ppc64le

Comment 1 Remi Collet 2018-03-29 13:02:05 UTC
repoclosure is unable to handle rich dependencies...
so looks like a false positive

Comment 2 Menanteau Guy 2018-03-29 13:24:43 UTC
ok I close this bug then, rpmdeplint should be used for this test but it looks like rpmdeplint does not support powerpc, thanks.


Note You need to log in before you can comment on or make changes to this bug.